Identifier Import¶
POST /api/v1/board/import/identifier
Overview¶
Global import based on identifier ID
Body Request Parameters¶
| Parameter Name | Type | Required | Description |
|---|---|---|---|
| importType | array | Y | Import scope, dashboard-dashboard; userViewer-user viewer; innerViewerZh-Chinese built-in viewer; innerViewerEn-English built-in viewer Allow empty: False |
| identifier | string | Y | Identifier ID Allow empty: False |
| templateInfo | json | Dashboard template data Example: {} Allow empty: False Allow empty string: False |
Parameter Supplementary Description¶
Parameter description:
| Parameter Name | type | Required | Description |
|---|---|---|---|
| importType | array[string] | Required | Import scope, dashboard-dashboard; userViewer-user viewer; innerViewerZh-Chinese built-in viewer; innerViewerEn-English built-in viewer |
| identifier | string | Identifier ID | |
| templateInfo | json | Dashboard template data |
templateInfo Main Structure Description
Note: If the following fields are passed in, they will replace the corresponding fields of all objects with the same identifier ID. If not passed in, no replacement will occur, and the original object's property values will be used.
| Parameter Name | type | Required | Description |
|---|---|---|---|
| title | string | Viewer title name. Note: If this field is passed in, it will replace the property of all objects with the same identifier ID. | |
| summary | string | Template summary information. Note: If this field is passed in, it will replace the property of all objects with the same identifier ID. | |
| identifier | string | Template identifier id. Note: If this field is passed in, it will replace the title of all objects with the same identifier ID. | |
| dashboardExtend | json | Viewer additional data information | |
| dashboardMapping | array[json] | Viewer variable field mapping configuration list | |
| iconSet | json | Dashboard icon information. Note: If this field is passed in, it will replace the title of all objects with the same identifier ID. | |
| iconSet.url | json | Dashboard medium icon link address | |
| iconSet.icon | json | Dashboard small icon link address | |
| icon | string | Dashboard small icon file name. Note: If this field is passed in, it will replace the title of all objects with the same identifier ID. | |
| thumbnail | string | Dashboard medium icon file name. Note: If this field is passed in, it will replace the title of all objects with the same identifier ID. | |
| main | json | Dashboard content structure | |
| main.type | string | Template type, this is a system field and can be ignored | |
| main.vars | array[json] | Viewer variable configuration list | |
| main.vars[#] | json | Viewer variable configuration structure | |
| main.groups | array[string] | Chart group name list | |
| main.charts | array[json] | Viewer chart configuration list | |
| main.charts[#] | json | Chart configuration structure |
dashboardMapping[#] Main Structure Description
| Parameter Name | type | Required | Description |
|---|---|---|---|
main.charts[#] Main Structure Description
| Parameter Name | type | Required | Description |
|---|---|---|---|
| name | string | Required | Chart name |
| type | string | Required | Chart type |
| pos | json | Chart position structure | |
| pos.i | string | ||
| pos.h | string | Height | |
| pos.w | string | Width | |
| pos.x | string | X-axis coordinate | |
| pos.y | string | Y-axis coordinate | |
| group | json[string] | Group information | |
| group.name | string | Group name, allowed to be null if no group | |
| queries | array[json] | Required | Chart query statement structure list |
**Time Series Chart Structure main.charts[#].type=sequence Its main structure parameters are as follows: **
| Parameter Name | type | Required | Description |
|---|---|---|---|
| name | string | Required | Chart name |
| type | string | Required | Chart type |
| pos | string | Required | Chart type |
| queries | array[json] | Required | Chart query statement structure list |